Subject: [Q]: Interview with INS under CSPA in NYC

From: [email-masked] (H.J. Lu)
Date: Thu, 12 May 94 19:16:52 CDT

Hi, Folks,

I just received a letter from the INS today. I will be interviewed
for PR under CPSA in NYC next month. I was told to bring the I-693
medical form to the interview. But I have mailed in the I-693 form in
a sealed envelope with all the other materials. I was wondering if
anyone under CPSA received the interview letter from the INS. I'd like
to know how you dealed with the I-693 form? My physical was done last
June. Is that too old? Do I need to take another one?

Thanks a lot.

-- 
H.J. Lu
NYNEX Science and Technology, Inc.			[email-masked]